package org.cloudbus.cloudsim.codes.test;

import javax.imageio.ImageTranscoder;

/**
 * ClassName Test1
 * Description
 * Create by HW
 * Date 2021/5/10 11:04
 */
public class Test1 {
    public static void main(String[] args) {
        //获取初始的利用率
        double initial=680;
        //获取得到常数a
        double a=-0.0012707223;
        //获取取得常数b
        double b=-0.0012707223;
        //获取时间序列
        int k=2;
        double[] result=new double[19];
        for (int i = 1; i <result.length ; i++) {
            //result[i-1]=(initial-b/a)*Math.exp(-a*i)+b/a;
            result[i-1]=4331.308566*Math.exp(0.078455*i);
            System.out.println("输出得到第"+(i+1)+"个预测值为："+result[i-1]);
        }
        System.out.println(result);

        System.out.println("______________________________");

//        double[] ini=[1435.5,1419.5,1712.5,1583.5,1817.2,1621.3,1605.1,1589,1553.6,1575.5,
  //              1586.1,1678.8,1553.5,1436.2,1404,1430.9,1516.8];
        double[] result1=new double[18];
        for(int i=1;i<18;i++){
            result1[i-1]=1663.85*Math.exp(-0.007062853*i);
            System.out.println("第"+i+"个预测值为："+result1[i-1]);
        }
        System.out.println(result1[0]);
        double ai=0;//计算Ai
        double bi=0.0;//计算Bi

    }
}
